Retrieve a customer property value
GET/api/v1/workspaces/{workspace_slug}/customers/{customer_id}/property-values/{property_id}/
Retrieve values for a specific property of a customer.
Path Parameters
customer_id:requiredstringThe unique identifier of the customer.
property_id:requiredstringThe unique identifier of the property.
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
Scopes
customers.property_values:read
Retrieve a customer property value
bash
curl -X GET \
"https://api.plane.so/api/v1/workspaces/my-workspace/customers/customer-uuid/property-values/property-uuid/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"python
import requests
response = requests.get(
"https://api.plane.so/api/v1/workspaces/my-workspace/customers/customer-uuid/property-values/property-uuid/",
headers={"X-API-Key": "your-api-key"}
)
print(response.json())javascript
const response = await fetch(
"https://api.plane.so/api/v1/workspaces/my-workspace/customers/customer-uuid/property-values/property-uuid/",
{
method: "GET",
headers: {
"X-API-Key": "your-api-key",
},
}
);
const data = await response.json();Response200
json
{
"detail": "Property values retrieved successfully"
}
